import 'package:flutter/material.dart';
import 'package:smooth_compass/utils/smooth_compass.dart';
import 'package:smooth_compass/utils/src/compass_ui.dart';

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return  Scaffold(
      body: Center(
        child: SmoothCompass(
          rotationSpeed: 200,
          height: 300,
          currentLoc: MyLoc(latitude: 33.9731427, longitude: 71.4751405),
          width: 300,
          compassBuilder: (context,snapshot,child){
            return Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                child,
                Text("${snapshot?.data?.qiblahOffset??0}")
              ],
            );
          },
        ),
      ),
    );
  }
}
